QGIS Application - Bug report #9234
WFS client doesn't expose Header Authorization
2013-12-19 07:44 AM - guillaume -

Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WFS

Affected QGIS version:2.0.1 Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 17855
Description

When using a WFS layer to access to a private service protected by apache BasicAuth, the requests don't use the information provided in
the login/password area of the service configuration to add an Authorization header to the request.

With standard apache configuration, you then have the authentication pop-up which appears and allows you to put your credentials. But
with more complex configurations it simply doesn't work.

The WFS module should behave juste like the WMS module does.

History

#1 - 2014-03-18 02:30 PM - Scott Clark
- Target version set to Version 2.2

We have a GeoServer 2.4 with public services and those that require authentication. The Add WFS Layer from a Server dialog only shows the public
layers even though I've supplied a valid login. None of the private layers show up. | can successfully add a public layer. However, when editing, the
WEFS-T for that layer requires authentication. It fails to commit to the WFS-T so it appears that it's not using the auth information here either.

The response when trying to save is:

Commit errors: Could not commit changes to layer geonode:incidente
Errors: ERROR: 1 feature(s) not added.
Provider errors:

unhandled response: html

There is nothing that tells me it's failing to authenticate though. All of the private layers do show up in the Add WMS dialog.

#2 - 2014-03-26 03:54 AM - René-Luc ReLuc

- Pull Request or Patch supplied changed from No to Yes
- Status changed from Open to In Progress

Pull-request provided
https://github.com/qgis/QGIS/pull/1266

#3 - 2014-04-16 02:04 PM - René-Luc RelLuc
- % Done changed from 0 to 100

- Status changed from In Progress to Closed
https://github.com/qgis/QGIS/pull/1266

Merged with commit a98df93a0db86db0b41431b44d0d5835¢7¢c892a6

backport to release-2_2 with commit ad21b90b613afd3beae0e4192d02883d0ca3ff99
